## asahi-audio 1.7

=== Makefile ===
# SPDX-License-Identifier: MIT
# Copyright (C) 2023 The Asahi Linux Contributors

PREFIX ?= /usr/
DATA_DIR ?= $(PREFIX)/share/

all: aliases

aliases: aliases-j274 aliases-j293 aliases-j314 aliases-j316 aliases-j375

aliases-j274:
	make -f $$PWD/Makefile -C firs/j274 graph-j473.json graph-j474.json

aliases-j375:
	make -f $$PWD/Makefile -C firs/j375 graph-j475.json

aliases-j293:
	make -f $$PWD/Makefile -C firs/j293 graph-j493.json

aliases-j314:
	make -f $$PWD/Makefile -C firs/j314 graph-j414.json

aliases-j316:
	make -f $$PWD/Makefile -C firs/j316 graph-j416.json

graph-%.json: graph.json
	sed -E "s/([^/][jJ])$$(basename "$$PWD" | tr -d j)/\1$(patsubst graph-j%.json,%,$@)/g" $< >$@

clean:
	rm -f firs/*/graph-*.json

core:
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/wireplumber/policy.lua.d/
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/wireplumber/main.lua.d/
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/wireplumber/scripts/
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/wireplumber/wireplumber.conf.d/
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/pipewire/pipewire.conf.d/
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/pipewire/pipewire-pulse.conf.d/
	install -pm0644 conf/99-asahi-wp.conf $(DESTDIR)/$(DATA_DIR)/wireplumber/wireplumber.conf.d/99-asahi.conf
	install -pm0644 conf/85-asahi-policy.lua $(DESTDIR)/$(DATA_DIR)/wireplumber/policy.lua.d/85-asahi-policy.lua
	install -pm0644 conf/85-asahi-wireplumber.lua $(DESTDIR)/$(DATA_DIR)/wireplumber/main.lua.d/85-asahi.lua
	install -pm0644 conf/policy-asahi.lua $(DESTDIR)/$(DATA_DIR)/wireplumber/scripts/policy-asahi.lua
	install -pm0644 conf/99-asahi.conf $(DESTDIR)/$(DATA_DIR)/pipewire/pipewire.conf.d/99-asahi.conf
	install -pm0644 conf/99-asahi-pulse.conf $(DESTDIR)/$(DATA_DIR)/pipewire/pipewire-pulse.conf.d/99-asahi.conf
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/asahi-audio/

j%: core
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/asahi-audio/$@/
	install -pm0644 -t $(DESTDIR)/$(DATA_DIR)/asahi-audio/$@/ $(wildcard firs/$@/*)


install: aliases core j274 j293 j313 j314 j316 j413 j415 j375

uninstall:
	rm -f $(DESTDIR)/$(DATA_DIR)/wireplumber/policy.lua.d/99-asahi-policy.lua
	rm -rf $(DESTDIR)/$(DATA_DIR)/asahi-audio/
	rm -rf $(DESTDIR)/$(DATA_DIR)/pipewire/pipewire.conf.d/99-asahi.conf

=== debian/changelog ===
asahi-audio (1.7-1) unstable; urgency=medium

  * Version lsp-plugins-lv2 dep to >= 1.2.14
    - this makes sure we get a version including fix for #1058672
  * Recommend alsa-ucm-conf-asahi
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 03 Mar 2024 17:02:35 +0100

asahi-audio (1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 01 Jan 2024 21:31:49 +0100

asahi-audio (0.5-1) experimental; urgency=medium

  * Initial release. (Closes: #1055943)

 -- Tobias Heider <me@tobhe.de>  Tue, 14 Nov 2023 16:20:04 +0100

=== debian/control ===
Source: asahi-audio
Section: sound
Priority: optional
Maintainer: Tobias Heider <me@tobhe.de>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/AsahiLinux/asahi-audio
Vcs-Browser: https://salsa.debian.org/bananas-team/asahi-audio
Vcs-Git: https://salsa.debian.org/bananas-team/asahi-audio.git
Rules-Requires-Root: no

Package: asahi-audio
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 ${shlibs:Depends},
 pipewire (>= 0.3.81),
 wireplumber (>= 0.4.15-2~),
 lsp-plugins-lv2 (>= 1.2.14)
Recommends: bankstown-lv2, speakersafetyd, alsa-ucm-conf-asahi
Description: PipeWire DSP profiles for Apple Silicon machines
 PipeWire and WirePlumber DSP profiles and configurations to
 drive the speaker arrays in Apple Silicon laptops and desktops.

## asahi-audio 2.2

=== debian/changelog ===
asahi-audio (2.2-1) unstable; urgency=medium

  [ NoisyCoil ]
  * New upstream release.

  [ Tobias Heider]
  * Drop Andreas from Uploaders 

 -- Tobias Heider <me@tobhe.de>  Tue, 28 May 2024 17:01:44 +0200

asahi-audio (2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable (Closes: #1067660).

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 May 2024 10:31:02 +0200

asahi-audio (2.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Apr 2024 17:19:16 +0200

asahi-audio (2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump minimum pipewire and wireplumber versions.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 28 Apr 2024 14:01:32 +0200

asahi-audio (1.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 28 Apr 2024 13:53:05 +0200

asahi-audio (1.7-2) unstable; urgency=medium

  * Restrict to wireplumber < 0.5.0 because of API incompatibility

 -- Tobias Heider <me@tobhe.de>  Wed, 27 Mar 2024 17:54:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: asahi-audio
 Section: sound
 Priority: optional
-Maintainer: Tobias Heider <me@tobhe.de>
+Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
+Uploaders:
+ Tobias Heider <me@tobhe.de>,
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.6.2
 Homepage: https://github.com/AsahiLinux/asahi-audio
@@ -14,8 +16,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
  ${shlibs:Depends},
- pipewire (>= 0.3.81),
- wireplumber (>= 0.4.15-2~),
+ pipewire (>= 0.3.85),
+ wireplumber (>= 0.5.0),
  lsp-plugins-lv2 (>= 1.2.14)
 Recommends: bankstown-lv2, speakersafetyd, alsa-ucm-conf-asahi
 Description: PipeWire DSP profiles for Apple Silicon machines

## asahi-audio 2.3

=== Makefile ===
# SPDX-License-Identifier: MIT
# Copyright (C) 2023 The Asahi Linux Contributors

PREFIX ?= /usr/
DATA_DIR ?= $(PREFIX)/share/

all: aliases

aliases: aliases-j274 aliases-j293 aliases-j314 aliases-j316 aliases-j375

aliases-j274:
	make -f $$PWD/Makefile -C firs/j274 graph-j473.json graph-j474.json

aliases-j375:
	make -f $$PWD/Makefile -C firs/j375 graph-j475.json

aliases-j293:
	make -f $$PWD/Makefile -C firs/j293 graph-j493.json

aliases-j314:
	make -f $$PWD/Makefile -C firs/j314 graph-j414.json

aliases-j316:
	make -f $$PWD/Makefile -C firs/j316 graph-j416.json

graph-%.json: graph.json
	sed -E "s/([^/][jJ])$$(basename "$$PWD" | tr -d j)/\1$(patsubst graph-j%.json,%,$@)/g" $< >$@

clean:
	rm -f firs/*/graph-*.json

core:
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/wireplumber/scripts/device/
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/wireplumber/wireplumber.conf.d/
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/pipewire/pipewire.conf.d/
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/pipewire/pipewire-pulse.conf.d/
	install -pm0644 conf/wireplumber.conf $(DESTDIR)/$(DATA_DIR)/wireplumber/wireplumber.conf.d/99-asahi.conf
	install -pm0644 conf/asahi-limit-volume.lua $(DESTDIR)/$(DATA_DIR)/wireplumber/scripts/device/asahi-limit-volume.lua
	install -pm0644 conf/pipewire.conf $(DESTDIR)/$(DATA_DIR)/pipewire/pipewire.conf.d/99-asahi.conf
	install -pm0644 conf/pipewire.conf $(DESTDIR)/$(DATA_DIR)/pipewire/pipewire-pulse.conf.d/99-asahi.conf
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/asahi-audio/

j%: core
	install -dDm0755 $(DESTDIR)/$(DATA_DIR)/asahi-audio/$@/
	install -pm0644 -t $(DESTDIR)/$(DATA_DIR)/asahi-audio/$@/ $(wildcard firs/$@/*)


install: aliases core j274 j293 j313 j314 j316 j413 j415 j375

uninstall:
	rm -rf $(DESTDIR)/$(DATA_DIR)/asahi-audio/
	rm -rf $(DESTDIR)/$(DATA_DIR)/wireplumber/wireplumber.conf.d/99-asahi.conf
	rm -rf $(DESTDIR)/$(DATA_DIR)/wireplumber/scripts/device/asahi-limit-volume.lua
	rm -rf $(DESTDIR)/$(DATA_DIR)/pipewire/pipewire.conf.d/99-asahi.conf
	rm -rf $(DESTDIR)/$(DATA_DIR)/pipewire/pipewire-pulse.conf.d/99-asahi.conf

=== debian/changelog ===
asahi-audio (2.3-1) unstable; urgency=medium

  [ NoisyCoil ]
  * New upstream release.

 -- Tobias Heider <me@tobhe.de>  Fri, 20 Sep 2024 23:32:06 +0200

## asahi-audio 2.4

=== debian/changelog ===
asahi-audio (2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 08 Nov 2024 20:11:01 +0100

## asahi-audio 2.5

=== debian/changelog ===
asahi-audio (2.5-1) unstable; urgency=medium

  * Team upload.

  [ NoisyCoil ]
  * New upstream release.
    - fixes compatibility problem with pipewire 1.2.7

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 29 Nov 2024 15:50:13 +0100

## asahi-audio 3.0

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,16 @@
 	make -f $$PWD/Makefile -C firs/j293 graph-j493.json
 
 aliases-j314:
-	make -f $$PWD/Makefile -C firs/j314 graph-j414.json
+	make -f $$PWD/Makefile -C firs/j314 graph-j414.json mic-j414.json
 
 aliases-j316:
-	make -f $$PWD/Makefile -C firs/j316 graph-j416.json
+	make -f $$PWD/Makefile -C firs/j316 graph-j416.json mic-j416.json
 
 graph-%.json: graph.json
 	sed -E "s/([^/][jJ])$$(basename "$$PWD" | tr -d j)/\1$(patsubst graph-j%.json,%,$@)/g" $< >$@
+
+mic-%.json: mic.json
+	sed -E "s/([^/][jJ])$$(basename "$$PWD" | tr -d j)/\1$(patsubst mic-j%.json,%,$@)/g" $< >$@
 
 clean:
 	rm -f firs/*/graph-*.json

=== debian/changelog ===
asahi-audio (3.0-3) unstable; urgency=medium

  * Team upload.
  * Change Architecture to arm64 (from all) (Closes: #1098862)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 25 Feb 2025 11:27:52 +0100

asahi-audio (3.0-2) unstable; urgency=medium

  [ NoisyCoil ]
  * d/control:
    - depend on bankstown-lv2 and triforce-lv2 instead of
      recommending them
    - bump Standards-Version to 4.7.1.0
  * Add upstream metadata

 -- Tobias Heider <me@tobhe.de>  Thu, 20 Feb 2025 14:30:23 +0100

asahi-audio (3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Recommend triforce-lv2

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 14 Feb 2025 13:37:21 +0100

=== debian/control ===
Source: asahi-audio
Section: sound
Priority: optional
Maintainer: Debian Bananas Team <team+bananas@tracker.debian.org>
Uploaders:
 Tobias Heider <me@tobhe.de>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.1.0
Homepage: https://github.com/AsahiLinux/asahi-audio
Vcs-Browser: https://salsa.debian.org/bananas-team/asahi-audio
Vcs-Git: https://salsa.debian.org/bananas-team/asahi-audio.git
Rules-Requires-Root: no

Package: asahi-audio
Architecture: arm64
Multi-Arch: foreign
Depends:
 bankstown-lv2,
 lsp-plugins-lv2 (>= 1.2.14),
 pipewire (>= 0.3.85),
 triforce-lv2,
 wireplumber (>= 0.5.0),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 alsa-ucm-conf-asahi,
 speakersafetyd,
Description: PipeWire DSP profiles for Apple Silicon machines
 PipeWire and WirePlumber DSP profiles and configurations to
 drive the speaker arrays in Apple Silicon laptops and desktops.

## asahi-audio 3.2

=== debian/changelog ===
asahi-audio (3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 25 Mar 2025 09:03:37 +0100

asahi-audio (3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump required triforce version

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 15 Mar 2025 21:21:10 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  bankstown-lv2,
  lsp-plugins-lv2 (>= 1.2.14),
  pipewire (>= 0.3.85),
- triforce-lv2,
+ triforce-lv2 (>= 0.2.0),
  wireplumber (>= 0.5.0),
  ${misc:Depends},
  ${shlibs:Depends},

## asahi-audio 3.3

=== debian/changelog ===
asahi-audio (3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 08 Apr 2025 12:27:33 +0200

asahi-audio (3.2-2) unstable; urgency=medium

  [ NoisyCoil ]
  * d/control: declare compliance with Standards-Version 4.7.2
  * d/control: set Upstream-Contact to the upstream bug tracker

 -- Tobias Heider <me@tobhe.de>  Fri, 04 Apr 2025 19:15:40 +0200

=== debian/watch ===
version=4

opts="searchmode=plain,\
 filenamemangle=s%@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
 https://api.github.com/repos/AsahiLinux/asahi-audio/tags?per_page=50 \
 https://api.github.com/repos/[^/]+/[^/]+/tarball/[^/]+/[^/]+/@ANY_VERSION@

## asahi-audio 3.4

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	make -f $$PWD/Makefile -C firs/j375 graph-j475.json
 
 aliases-j293:
-	make -f $$PWD/Makefile -C firs/j293 graph-j493.json
+	make -f $$PWD/Makefile -C firs/j293 graph-j493.json mic-j493.json
 
 aliases-j314:
 	make -f $$PWD/Makefile -C firs/j314 graph-j414.json mic-j414.json

=== debian/changelog ===
asahi-audio (3.4-2~bpo13+1) trixie-backports; urgency=medium

  * Team upload.
  * Backport to trixie (no changes).

 -- NoisyCoil <noisycoil@debian.org>  Sun, 26 Oct 2025 11:06:22 +0100

asahi-audio (3.4-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- NoisyCoil <noisycoil@debian.org>  Sat, 30 Aug 2025 00:58:04 +0200

asahi-audio (3.4-1) experimental; urgency=medium

  [ NoisyCoil ]
  * Team upload.
  * New upstream release.

 -- Tobias Heider <me@tobhe.de>  Wed, 21 May 2025 17:19:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Tobias Heider <me@tobhe.de>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.1.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/AsahiLinux/asahi-audio
 Vcs-Browser: https://salsa.debian.org/bananas-team/asahi-audio
 Vcs-Git: https://salsa.debian.org/bananas-team/asahi-audio.git
